KBuildImageIOFactory Class Reference

`#include <kbuildimageiofactory.h>`

Inherits KImageIOFactory.

## Public Member Functions

| KBuildImageIOFactory ()
virtual void | saveHeader (QDataStream &)
virtual void | save (QDataStream &str)
virtual KSycocaEntry * | createEntry (const QString &, const char *)
virtual KSycocaEntry * | createEntry (int)
virtual void | addEntry (KSycocaEntry *newEntry, const char *)

## Static Public Member Functions

static QStringList | resourceTypes ()

## Detailed Description

Service group factory for building ksycoca.

Definition at line 29 of file kbuildimageiofactory.h.

## Constructor & Destructor Documentation

KBuildImageIOFactory::KBuildImageIOFactory | ( |  | ) |

Create factory.

Definition at line 32 of file kbuildimageiofactory.cpp.

## Member Function Documentation

KSycocaEntry * KBuildImageIOFactory::createEntry | ( | const QString & | file,
|  | const char * | resource
| ) |  |

virtual

Create new entry.

Definition at line 52 of file kbuildimageiofactory.cpp.

QStringList KBuildImageIOFactory::resourceTypes | ( |  | ) |

static

Returns all resource types for this service factory.

Definition at line 41 of file kbuildimageiofactory.cpp.

void KBuildImageIOFactory::save | ( | QDataStream & | str | ) |

virtual

Write out service type specific index files.

Definition at line 98 of file kbuildimageiofactory.cpp.

void KBuildImageIOFactory::saveHeader | ( | QDataStream & | str | ) |

virtual

Save header info to database.

Definition at line 90 of file kbuildimageiofactory.cpp.

The documentation for this class was generated from the following files:

- kbuildimageiofactory.h
- kbuildimageiofactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys